<project name="evo-library-build" default="library-deploy"> 
	
	<import file="common/evo-app-build-common.xml" />
	
	<target name="deploy-default-project" depends="app-create-jar">
		<mkdir dir="${deploy.project.dir}/lib"/>
		<copy failonerror="false" verbose="true" file="${app.dist.dir}/${app.jar.name}" toDir="${deploy.project.dir}/lib" />
	</target>
	
	<target name="deploy-project" if="deploy.project.dir">
		<antcall target="deploy-default-project" />
	</target>
	
	<target name="library-deploy" description="Deploys current version of evolute utilities" depends="load-static-properties">
		<input defaultvalue="${basedir}" addproperty="deploy.project.dir">
			<handler classpathref="lib.tools.classpath" classname="com.evolute.ant.ProjectInputHandler"  />
		</input>
		<antcall target="deploy-project" />
	</target>
	
</project>